services:
  workspace_media_server:
    image: nginx:latest
    container_name: workspace_media_server
    restart: always
    ports:
      - "8090:80"
    volumes:
      - /srv/chefdpapel/workspace:/mnt/workspace-filestore:ro
      - /srv/chefdpapel/workspace/nginx/nginx-workspace.conf:/etc/nginx/conf.d/default.conf:ro
    networks:
      - traefik_net
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.workspace.rule=Host(`workspace.chefdpapel.com`)"
      - "traefik.http.routers.workspace.entrypoints=websecure"
      - "traefik.http.routers.workspace.tls.certresolver=letsencrypt"
      - "traefik.http.services.workspace.loadbalancer.server.port=80"

networks:
  traefik_net:
    external: true
